// ***Begin library code better placed in an external API***
// v1.1 (5 Aug 1999) change clientHeight/Width to offsetHeigh/tWidth
//                   in getObjHeight() and getObjWidth()
// Set global variables for browser detection and reference building
var isNav, isIE, intervalID
var coll = ""
var styleObj = ""
if (parseInt(navigator.appVersion) >= 4) {
	if (navigator.appName == "Netscape") {
		isNav = true
	} else {
		isIE = true
		coll = "all."
		styleObj = ".style"
	}
}
// Utility function returns height of object in pixels
function getObjHeight(obj) {
	if (isNav) {
		return obj.clip.height
	} else {
		return obj.offsetHeight
	}
}
// Utility function returns width of object in pixels
function getObjWidth(obj) {
	if (isNav) {
		return obj.clip.width
	} else {
		return obj.offsetWidth
	}
}
// Utility function returns the x coordinate of a positionable object
function getObjLeft(obj)  {
	if (isNav) {
		return obj.left
	} else {
		return obj.pixelLeft
	}
}
// Utility function returns the y coordinate of a positionable object
function getObjTop(obj)  {
	if (isNav) {
		return obj.top
	} else {
		return obj.pixelTop
	}
}
// Utility function returns the available content width space in browser window
function getInsideWindowWidth() {
	if (isNav) {
		return window.innerWidth
	} else {
		return document.body.clientWidth
	}
}
// Utility function returns the available content height space in browser window
function getInsideWindowHeight() {
	if (isNav) {
		return window.innerHeight
	} else {
		return document.body.clientHeight
	}
}
// Utility function sets the visibility of an object to visible
function show(obj) {
	obj.visibility = "visible"
}

// Utility function sets the visibility of an object to hidden
function hide(obj) {
	obj.visibility = "hidden"
}
// Utility function to position an element at a specific x,y location
function shiftTo(obj, x, y) {
	if (isNav) {
		obj.moveTo(x,y)
	} else {
		obj.pixelLeft = x
		obj.pixelTop = y
	}
}
// Utility function to move an object by x and/or y pixels
function shiftBy(obj, deltaX, deltaY) {
	if (isNav) {
		obj.moveBy(deltaX, deltaY)
	} else {
		obj.pixelLeft += deltaX
		obj.pixelTop += deltaY
	}
}
// ***End library code***
